Create a local UNIX user configuration for an SVM
Creates a local UNIX user configuration for an SVM to establish specific user access and permissions within the storage environment. This configuration is typically used to manage user authentication and authorization effectively.
HTTP method and endpoint
POST /name-services/unix-users
Introduced in
ONTAP 9.9
Important notes
-
The default limit for local UNIX users is 32768.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
full_name |
string |
User's full name. |
id |
integer |
UNIX user ID of the specified user. |
name |
string |
UNIX user name to be added to the local database. |
primary_gid |
integer |
Primary group ID to which the user belongs. |
skip_name_validation |
boolean |
Indicates whether or not the validation for the specified UNIX user name is disabled. |
svm |
Example request
{
"full_name": "string",
"name": "string",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of UNIX user records. |
records |
array[unix_user] |
Example response
{
"num_records": 1,
"records": [
{
"full_name": "string",
"name": "string",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
2621706 |
The specified SVM UUID is incorrect for the specified SVM name |
23724066 |
The specified UNIX user name is too long. Maximum supported length is 64 characters. |
3277051 |
The specified UNIX user name contains invalid characters. Valid characters are 0-9, A-Z, a-z, ".", "_" and "-". |
23724128 |
The specified UNIX user full-name contains the invalid character ':'. |
23724089 |
The specified UNIX user full-name is too long. Maximum supported length is 256 characters. |
23724055 |
Internal error. Failed to create the UNIX user for the SVM. Verify that the cluster is healthy, then try the command again. |
23724090 |
Configuring individual entries is not supported because file-only configuration is enabled. |
3277025 |
Failed to create the UNIX user for the SVM because the system limit has been reached. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
unix_user
| Name | Type | Description |
|---|---|---|
full_name |
string |
User's full name. |
id |
integer |
UNIX user ID of the specified user. |
name |
string |
UNIX user name to be added to the local database. |
primary_gid |
integer |
Primary group ID to which the user belongs. |
skip_name_validation |
boolean |
Indicates whether or not the validation for the specified UNIX user name is disabled. |
svm |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |